summaryrefslogtreecommitdiff
path: root/release/src/router/busybox/testsuite/start-stop-daemon.tests
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2015-01-03 13:58:15 +0100
committerAndreas Baumann <mail@andreasbaumann.cc>2015-01-03 13:58:15 +0100
commit4aca87515a5083ae0e31ce3177189fd43b6d05ac (patch)
tree7b1d9a31393ca090757dc6f0d3859b4fcd93f271 /release/src/router/busybox/testsuite/start-stop-daemon.tests
parent008d0be72b2f160382c6e880765e96b64a050c65 (diff)
downloadtomato-4aca87515a5083ae0e31ce3177189fd43b6d05ac.tar.gz
tomato-4aca87515a5083ae0e31ce3177189fd43b6d05ac.tar.bz2
patch to Vanilla Tomato 1.28
Diffstat (limited to 'release/src/router/busybox/testsuite/start-stop-daemon.tests')
-rwxr-xr-xrelease/src/router/busybox/testsuite/start-stop-daemon.tests19
1 files changed, 19 insertions, 0 deletions
diff --git a/release/src/router/busybox/testsuite/start-stop-daemon.tests b/release/src/router/busybox/testsuite/start-stop-daemon.tests
new file mode 100755
index 00000000..ba77cde6
--- /dev/null
+++ b/release/src/router/busybox/testsuite/start-stop-daemon.tests
@@ -0,0 +1,19 @@
+#!/bin/sh
+# Copyright 2008 by Denys Vlasenko
+# Licensed under GPL v2, see file LICENSE for details.
+
+. testing.sh
+
+# testing "test name" "cmd" "expected result" "file input" "stdin"
+
+testing "start-stop-daemon -x without -a" \
+ 'start-stop-daemon -S -x true 2>&1; echo $?' \
+ "0\n" \
+ "" ""
+
+testing "start-stop-daemon -a without -x" \
+ 'start-stop-daemon -S -a false 2>&1; echo $?' \
+ "1\n" \
+ "" ""
+
+exit $FAILCOUNT